// UrlUtility.h: CUrlUtility クラスのインターフェイス
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_URLUTILITY_H__9F5708E9_074B_4D53_966E_9077B7B00CE1__INCLUDED_)
#define AFX_URLUTILITY_H__9F5708E9_074B_4D53_966E_9077B7B00CE1__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CUrlUtility  
{
public:
	static CString GetQuery(CString url);
	static CString GetUrlObject(CString url);
	static CString DecodeUrl(CString url);
	static CString Decode(CString url);
	static CString GetDirectoryPath(CString serverPath);
	static CString EncodeUrl(CString Url);
	static CString EncodeUrl8Bit(CString Url);
	CUrlUtility();
	virtual ~CUrlUtility();

};

#endif // !defined(AFX_URLUTILITY_H__9F5708E9_074B_4D53_966E_9077B7B00CE1__INCLUDED_)
